Kea: isc::dhcp::PgSqlHostDataSource::PgSqlHostContextAlloc Class Reference

| Kea 2.2.0

Public Member Functions | Public Attributes | List of all members
isc::dhcp::PgSqlHostDataSource::PgSqlHostContextAlloc Class Reference

Context RAII Allocator. More...

`#include <pgsql_host_data_source.h>`

## Public Member Functions
| PgSqlHostContextAlloc (PgSqlHostDataSourceImpl &mgr)
| Constructor. More...
| ~PgSqlHostContextAlloc ()
| Destructor. More...

## Public Attributes
PgSqlHostContextPtr | ctx_
| The context. More...

## Detailed Description

Context RAII Allocator.

Definition at line 526 of file pgsql_host_data_source.h.

## Constructor & Destructor Documentation

## ◆ PgSqlHostContextAlloc()

isc::dhcp::PgSqlHostDataSource::PgSqlHostContextAlloc::PgSqlHostContextAlloc | ( | PgSqlHostDataSourceImpl & | mgr | ) |

Constructor.

This constructor takes a context of the pool if one is available or creates a new one.

Parameters

  mgr | A parent instance

Definition at line 2180 of file pgsql_host_data_source.cc.

References isc::dhcp::PgSqlHostDataSourceImpl::createContext(), ctx_, isc_throw, and isc::dhcp::PgSqlHostDataSourceImpl::pool_.

Here is the call graph for this function:

## ◆ ~PgSqlHostContextAlloc()

isc::dhcp::PgSqlHostDataSource::PgSqlHostContextAlloc::~PgSqlHostContextAlloc | ( |  | ) |

Destructor.

This destructor puts back the context in the pool.

Definition at line 2205 of file pgsql_host_data_source.cc.

## Member Data Documentation

## ◆ ctx_

PgSqlHostContextPtr isc::dhcp::PgSqlHostDataSource::PgSqlHostContextAlloc::ctx_

The context.

Definition at line 543 of file pgsql_host_data_source.h.

Referenced by PgSqlHostContextAlloc(), isc::dhcp::PgSqlHostDataSource::add(), isc::dhcp::PgSqlHostDataSource::commit(), isc::dhcp::PgSqlHostDataSource::del(), isc::dhcp::PgSqlHostDataSource::del4(), isc::dhcp::PgSqlHostDataSource::del6(), isc::dhcp::PgSqlHostDataSource::get4(), isc::dhcp::PgSqlHostDataSource::get6(), isc::dhcp::PgSqlHostDataSource::getAll(), isc::dhcp::PgSqlHostDataSource::getAll4(), isc::dhcp::PgSqlHostDataSource::getAll6(), isc::dhcp::PgSqlHostDataSource::getAllbyHostname(), isc::dhcp::PgSqlHostDataSource::getAllbyHostname4(), isc::dhcp::PgSqlHostDataSource::getAllbyHostname6(), isc::dhcp::PgSqlHostDataSource::getName(), isc::dhcp::PgSqlHostDataSource::getPage4(), isc::dhcp::PgSqlHostDataSource::getPage6(), and isc::dhcp::PgSqlHostDataSource::rollback().

The documentation for this class was generated from the following files:

- pgsql_host_data_source.h
- pgsql_host_data_source.cc